Foreman - Bug #31719

Unable to clear http_proxy_except_list setting
01/25/2021 03:05 PM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Settings
Target version: 2.4.0
Difficulty: Fixed in Releases: 2.4.0,25.0
Triaged: No Found in Releases:
Bugzilla link: 1914256 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8276,
https://github.com/theforeman/foreman/p
ull/8306,
https://github.com/theforeman/foreman/p
ull/8308
Description

Steps to Reproduce:

1. Go to Administer > Settings

2. Update "HTTP proxy except hosts" field. (Add anything)
3. Try to clear "HTTP proxy except hosts" field.

Associated revisions

Revision 46fcf936 - 02/02/2021 12:56 PM - Ondfej Prazak

Fixes #31719 - Fix array settings to accept empty array

History

#1 - 01/25/2021 03:09 PM - Ondrej Prazak

- Subject changed from Unable to clear http_proxy_except_list setting
to Unable to clear http_proxy_except_list setting

- Assignee set to Ondrej Prazak

#2 - 01/25/2021 03:10 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8276 added

#3 - 02/02/2021 12:56 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#4 - 02/02/2021 01:01 PM - Ondiej Prazak
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|46fcf9361e2d8c6cb89af2c3f8b9be60365fdd21.

#5 - 02/03/2021 09:46 AM - Marek Hulan

- Target version set to 2.4.0

#6 - 02/03/2021 09:50 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8306 added

#7 - 02/03/2021 12:01 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8308 added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/46fcf9361e2d8c6cb89af2c3f8b9be60365fdd21

#8 - 02/03/2021 12:05 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added
